Subject: bug#21738: 25.0.50; eww freezes/crashes at times

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Oct 2015 23:42:59 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Fri, 23 Oct 2015 16:35:47 -0400
> Cc: Glenn Morris <[email-masked]>, [email-masked]
> 
> By the way, I am now using emacs built without imagemagick. Now emacs
> does not freeze in "emacs -Q" sessions.
> But I got it to freeze (in a C-g quittable way) in my emacs using my config.
> 
> fci (fill column indicator mode is the culplrit!) -
> http://www.emacswiki.org/emacs/fill-column-indicator.el
> 
> The bug is nasty.. probably in the package or my config (need to yet
> figure that out).
> If I have only the window with eww buffer in the whole frame then
> everything is fine.
> But (1) if I have two windows (or more) in a frame and
>       (2) if one of the windows has a buffer with a major mode where I
> have fci-mode enabled, and
>      (3) I am loading eww in the other buffer, my eww freezes, luckily
> doing C-g exits that state.

This could be another manifestation of bug#21745, so please update
from master and try again.